Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.i18n.text
Class OraNormalizer

    java.lang.Object
      |
      +--oracle.i18n.text.OraNormalizer

public class OraNormalizer
extends Object

The `OraNormalizer` class is a class used for normalizing strings following the Unicode Standard. Unicode characters may have different canonical formats. Before you can accurately compare characters, you must call the methods in this class to make sure that they are in the same canonical format. For more information regarding Unicode Normalization and the Unicode Standard, please refer to Technical Report 15 at www.unicode.org.

Field Summary
`static int` | `CANONICAL_DECOMP` Canonical decompose the string and then canonical sort the string.
`static int` | `COMPATIBILITY_DECOMP` Compatible decompose the string and then canonical sort the string.
`static int` | `NFC` Canonical decomposition then composition.
`static int` | `NFD` Canonical decomposition.
`static int` | `NFKC` Compatibility decomposition then composition canonical sort the string.
`static int` | `NFKD` Compatibility decomposition.
`static int` | `NO_DECOMP` Canonical sort the string.

Method Summary
`void` | `canonicalSort(char[] sequence)` This method takes a char[] and performs canonical sort on the sequence.
`String` | `compose(String sequence)` This is the normalization method.
`String` | `decompose(String sequence, int mode)` This is the normalization method.
`static oracle.i18n.text.OraNormalizer` | `getInstance()` Returns a shared `OraNormalizer` instance to the user.
`String` | `normalize(String sequence, int mode)` This is the normalization method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_DECOMP

    public static final int NO_DECOMP

  Canonical sort the string.

  See Also:
    Constant Field Values

### CANONICAL_DECOMP

    public static final int CANONICAL_DECOMP

  Canonical decompose the string and then canonical sort the string.

  See Also:
    Constant Field Values

### COMPATIBILITY_DECOMP

    public static final int COMPATIBILITY_DECOMP

  Compatible decompose the string and then canonical sort the string.

  See Also:
    Constant Field Values

### NFD

    public static final int NFD

  Canonical decomposition.

  See Also:
    Constant Field Values

### NFC

    public static final int NFC

  Canonical decomposition then composition.

  See Also:
    Constant Field Values

### NFKD

    public static final int NFKD

  Compatibility decomposition.

  See Also:
    Constant Field Values

### NFKC

    public static final int NFKC

  Compatibility decomposition then composition canonical sort the string.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static oracle.i18n.text.OraNormalizer getInstance()

  Returns a shared `OraNormalizer` instance to the user.

  Returns:
    an `OraNormalizer` instance

### canonicalSort

    public void canonicalSort(char[] sequence)

  This method takes a char[] and performs canonical sort on the sequence. The character string before and after this operation is considered equivalent by the Unicode Standard.

  Parameters:
    `sequence` - a string to sort

### compose

    public String compose(String sequence)

  This is the normalization method. It normalizes by composing the Unicode characters after which it performs a canonical sort on the string.

  Parameters:
    `sequence` - a string to compose
  Returns:
    the composed string

### decompose

    public String decompose(String sequence,
                            int mode)

  This is the normalization method. It normalizes by decomposing the Unicode characters after which it performs a canonical sort on the string.

  Parameters:
    `sequence` - a string to compose
    `mode` - decomposed mode; options are `NO_DECOMPOSITION`, `CANONICAL_DECOMPOSITION`, and `COMPATIBLE_DECOMPOSITION`
  Returns:
    the decomposed string

### normalize

    public String normalize(String sequence,
                            int mode)

  This is the normalization method. It normalizes by decomposing the Unicode character after which it performs a canonical sort on the string.

  Parameters:
    `sequence` - a string to compose
    `mode` - decomposed mode; options are `NFD, NFC, NFKD, NFKC`
  Returns:
    the normalized string

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Globalization Development Kit Java API Reference 10g Release 2 (10.2) Part No. B14224-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005, Oracle. All rights reserved.